---
title: "Get All Webhooks"
slug: "get-all-webhooks-2"
updated: 2026-02-11T20:38:32Z
published: 2026-02-11T22:15:21Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fullcast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Webhooks

Get/webhook

You can view the details of all webhook endpoints registered for your workspace via the API.

		
			

To view all webhooks registered for your workspace, send a GET request to `https://api.copy.ai/api/webhook`.

You will receive a response with the details for all webhooks.

**For example:**

JSONJSON 

```json
{
    "total": 2,
    "data":
    [
        {
            "id": "<webhook_id>",
            "url": "<https://mywebsite.com/webhook>",
            "eventType": "workflowRun.completed",
            "workflowId": "<workflow_id>"
        },
        {
            "id": "<webhook_id>",
            "url": "<https://mywebsite.com/webhook>",
            "eventType": "workflowRun.started",
            "workflowId": null
        }
    ]
}
```

  

		
		
SecurityAPI Key: ApiKeyAuthHeader parameter namex-copy-ai-api-key

Copy.ai API key for authentication

Header parametersx-copy-ai-api-keystringRequired

Query parameterssizeinteger

Number of webhooks to include in pagination (up to 100, defaults to 10).

Default10
pageinteger

Used to specify further pages (starts at 0).

Default0

Responses200

Success

<select class='api-response-data' aria-label='Media type'><option value='5e22ff67-c2c1-4636-bb2a-9ad063b45a4c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='44c52fa0-2e3c-412a-ae45-07980e329c82'>success</option>
</select>success

```json
{
  "total": "2",
  "data": [
    {
      "id": "",
      "url": "https://mywebsite.com/webhook",
      "eventType": "workflowRun.completed",
      "workflowId": ""
    },
    {
      "id": "",
      "url": "https://mywebsite.com/webhook",
      "eventType": "workflowRun.started",
      "workflowId": null
    }
  ]
}
```

Expand Allobject  totalinteger    
data Array of object (WebhookData)   object  idstring    
urlstring    
eventTypestring    
workflowIdstring    

400

Bad Request

422

Validation Error
